/*
 * @Author: Billy
 * @Date: 2021-12-31 14:31:45
 * @LastEditors: Billy
 * @LastEditTime: 2022-01-04 14:00:53
 * @Description: 请输入
 */
import MenuItem from "../../entity/Ui/Menu/MenuItem.js";

async function getBackMenuItems() {
    return [
        new MenuItem({
            title: '组织架构',
            iconClass: 'el-icon-s-operation',
            routerName: 'Org',
        }),
        new MenuItem({
            title: '角色管理',
            iconClass: 'el-icon-user',
            routerName: 'Role',
        }),
        new MenuItem({
            title: '分类管理',
            iconClass: 'el-icon-film',
            routerName: 'Classification',
        }),
        new MenuItem({
            title: '数据统计',
            iconClass: 'el-icon-s-data',
            routerName: 'Statistics',
        }),
        new MenuItem({
            title: '专题管理',
            iconClass: 'el-icon-edit-outline',
            routerName: 'Topic',
        }),
        new MenuItem({
            title: '平台设置',
            iconClass: 'el-icon-setting',
            routerName: 'PlatformSetting',
        }),
        new MenuItem({
            title: '授权管理',
            iconClass: 'el-icon-finished',
            routerName: 'Authorization',
            children: [
                new MenuItem({
                    title: '合作伙伴授权管理',
                    routerName: 'Authorization4Partner',
                }),
                new MenuItem({
                    title: '客户授权管理',
                    routerName: 'Authorization4Customer',
                })
            ]
        }),
        new MenuItem({
            title: '系统日志',
            iconClass: 'el-icon-notebook-2',
            routerName: 'Log',
        }),
    ];
}

export default {
    getBackMenuItems
};